For the complete documentation index, see llms.txt. This page is also available as Markdown.

/login/raw

Raw login method

This endpoint is the simplest way to login into your Siga 3 account. When logged it will return the Siga 3 server it's using, the Siga session cookie, your client session cookie, and a logged variable equal to true meaning you successfully logged into your Siga 3 account.

Load the Siga

This method requires u to have a loaded Siga session:

Load Siga session

If you need or want to log in using captcha, u need to load a Siga session with captcha data:

Load Siga session with captcha

With the Siga session loaded, you should have the following values:

  • challenge The challenge hash.

  • captcha Will be null if loaded without captcha

    • id Captcha identifier

    • numbers An array of the captcha values

    • tip A tip on what to do with the captcha values

  • server Base Siga URL given by Siga's load balancer

  • siga Siga session id

  • client MySiga session id

Encrypting the password

This login method doesn't accept the user password, u have to encrypt the password using the given challenge hash and use the generated hash to log in. This is the way to do it:

Raw Authentication

POST https://mysiga.laravieira.me/login/raw

This will get the CPF and the response and login into Siga server.

Cookies

Name
Type
Description

PHPSESSID*

string

The session id

Request Body

Name
Type
Description

cpf*

string

The user CPF, only numbers

response*

string

The encrypted password

captcha

int

The captcha resolution

server Base URL to the Siga 3 server selected by Siga's load balancer.

siga Siga session id.

client Session id of MySiga API.

logged If the user was logged in, is always true and only exists on the 200 response code.

The value to the CPF field is missing or not a valid CPF.

The given value to the response field is not valid or is missing.

The given captcha resolution is not valid.

The given response field doesn't match the hash for the given challenge, or u encrypted it wrongly or the password is wrong.

The captcha resolution is wrong. U need to reload the Siga with Load Siga session with captcha to get a new captcha and try resolving it again.

With this raw login method, u need to load Siga using Load Siga session to only then try to log in.

With this raw login method, u need to load Siga using Load Siga session with captcha to only then try to log in with captcha.

U need to load the Siga again, but using Load Siga session with captcha to get captcha data and send the login request with the captcha resolution.

If your response is an exception not listed here, u might wanna checkGeneral Exceptions.

Last updated